<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR SIMPANAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListSimpanan()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3">
              <button *ngIf="dataUser.role === 'ADM'" class="pull-right btn btn-success" data-toggle="modal" (click)="gotoNew(1);">
                <i class="icon-plus"></i> Tambah Simpanan</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-2">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control " (keyup.enter)="doGetListSimpanan()" id="tanggalMulai" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')"[(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListSimpanan()" id="tanggalAkhir" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Jenis Simpanan</label>
                  <select class="form-control selectpicker" (keyup.enter)="doGetListSimpanan()" [(ngModel)]="jenisIuran">
                    <option value="" disabled>Pilih Jenis</option>
                    <option value="Setoran">Setoran</option>
                    <option value="Penarikan">Penarikan</option>
                  </select>
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Bentuk Simpanan</label>
                  <select class="form-control selectpicker" (keyup.enter)="doGetListSimpanan()" [(ngModel)]="kodeSimpanan">
                    <option value="" disabled>Pilih Bentuk Simpanan</option>
                    <option value="SPP">Simpanan Pokok</option>
                    <option value="SPW">Simpanan Wajib</option>
                    <option value="SPS">Simpanan Sukarela</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Pencarian </label>
                  <input id="appendedInputButton" (keyup.enter)="doGetListSimpanan()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 33px">
                  <button class="btn btn-success btn-block pull-right"  (click)="doGetListSimpanan()"><i class="fa fa-search"></i> Cari</button>
                </div>
                <!--<div class="col-sm-4">-->
                <!--<label class="col-form-label">Perusahaan </label>-->
                <!--<app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" (change)="doGetListSimpanan()"></app-company-select>-->
                <!--</div>-->
              </div>
              <!--<div class="row">-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Tanggal Mulai</label>-->
                  <!--<input class="form-control pr-0" id="tanggalMulai" type="text" [(ngModel)]="tanggalMulai">-->
                <!--</div>-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Tanggal Akhir</label>-->
                  <!--<input class="form-control pr-0" id="tanggalAkhir" type="date" placeholder="date" [(ngModel)]="tanggalAkhir">-->
                <!--</div>-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Perusahaan </label>-->
                  <!--<app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>-->
                <!--</div>-->
              <!--</div>-->
              <!--<div class="row">-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Jenis Simpanan</label>-->
                  <!--<select class="form-control selectpicker" [(ngModel)]="jenisIuran">-->
                    <!--<option value="" disabled>Pilih Jenis Simpanan</option>-->
                    <!--<option value="Setoran">Setoran</option>-->
                    <!--<option value="Penarikan">Penarikan</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-4">-->
                  <!--<label class="col-form-label">Bentuk Simpanan</label>-->
                  <!--<select class="form-control selectpicker" [(ngModel)]="kodeSimpanan">-->
                    <!--<option value="" disabled>Pilih Bentuk Simpanan</option>-->
                    <!--<option value="SPP">Simpanan Pokok</option>-->
                    <!--<option value="SPW">Simpanan Wajib</option>-->
                    <!--<option value="SPS">Simpanan Sukarela</option>-->
                  <!--</select>-->
                <!--</div>-->
                <!--<div class="col-sm-3">-->
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">-->
                <!--</div>-->
                <!--<div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">-->
                  <!--<button class="btn btn-success"  (click)="doGetListSimpanan()"><i class="fa fa-search"></i> Cari</button>-->
                <!--</div>-->
              <!--</div>-->
            </div>
          </div>
          <!--<div *ngIf="listSimpanan | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <!--<th class="text-center">ID Ajuan</th>-->
              <th class="text-center align-middle" style="width: 7%" (click)="sort('tanggalSimpanan')">Tanggal
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalSimpanan',
                                    'fa-sort-asc': (column == 'tanggalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 12%" (click)="sort('nama')">Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 8%" (click)="sort('jenisIuran')">Jenis Simpanan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'jenisIuran',
                                    'fa-sort-asc': (column == 'jenisIuran' && isDesc),
                                    'fa-sort-desc': (column == 'jenisIuran' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('namaSimpanan')">Bentuk Simpanan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaSimpanan',
                                    'fa-sort-asc': (column == 'namaSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'namaSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 8%" (click)="sort('nominalSimpanan')">Nominal
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nominalSimpanan',
                                    'fa-sort-asc': (column == 'nominalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'nominalSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <!--<th class="text-center align-middle" style="width: 7%" (click)="sort('mediaIuran')">Status-->
                <!--<i class="fa pull-right" [ngClass]="{'fa-sort': column != 'mediaIuran',-->
                                    <!--'fa-sort-asc': (column == 'mediaIuran' && isDesc),-->
                                    <!--'fa-sort-desc': (column == 'mediaIuran' && !isDesc) }"-->
                   <!--aria-hidden="true">-->
                <!--</i>-->
              <!--</th>-->
              <th class="text-center align-middle" style="width: 7%" (click)="sort('keterangan')">Keterangan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keterangan',
                                    'fa-sort-asc': (column == 'keterangan' && isDesc),
                                    'fa-sort-desc': (column == 'keterangan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <!--<th class="text-center align-middle" style="width: 12%"  *ngIf="dataUser.role === 'ADM'">Aksi</th>-->
            </tr>
            </thead>
            <tbody *ngIf="!listSimpanan || listSimpanan.length===0">
            <tr>
              <td colspan="9" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listSimpanan | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <!--<td>{{data.kodePengajuan}}</td>-->
              <td>{{data.tanggalSimpanan | date: 'dd MMM yyyy'}}</td>
              <td><a href="javascript:void()" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}</td>
              <td>{{ data.jenisIuran }}</td>
              <td>{{ data.namaSimpanan }}
                <span *ngIf="data.bulan || data.tahun"> - {{data.bulan}} {{data.tahun}}</span>
              </td>
              <td>{{ data.nominalSimpanan | number}}</td>
              <td>{{ data.keterangan }}</td>
              <!--<td *ngIf="dataUser.role === 'ADM'">-->
                <!--<button class="btn btn-success btn-sm" (click)="editModal.show(); setSelectedSimpanan(data); doOpenFormEdit();"><i class="fa fa-edit"></i> Ubah</button>-->
                <!--<button class="btn btn-danger btn-sm ml-1" (click)="confirmModal.show(); setSelectedSimpanan(data)"><i class="fa fa-times"></i> Hapus</button>-->
              <!--</td>-->
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listSimpanan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi Hapus Simpanan</h4>
        <button type="button" class="close" (click)="confirmModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin menghapus Simpanan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); delete()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

<div bsModal #editModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Ubah Simpanan</h4>
        <button type="button" class="close" (click)="editModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Jenis Simpanan</label>
                <select class="form-control selectpicker" name="kodeSimpanan" (change)="setNamaSimpanan();" formControlName="kodeSimpanan">
                  <option value="" disabled>Pilih Jenis Simpanan</option>
                  <option value="SPP">Simpanan Pokok</option>
                  <option value="SPW">Simpanan Wajib</option>
                  <option value="SPS">Simpanan Sukarela</option>
                </select>
                <input type="hidden" formControlName="namaSimpanan">
                <input type="hidden" formControlName="ketIuran">
              </div>
              <div class="col-sm-12" *ngIf="selectedSimpanan.kodeSimpanan==='SPW'">
                <label class="col-form-label">Periode</label>
                <div class="input-group">
                  <select name="bulan" class="form-control" name="bulan" formControlName="bulan">
                    <option value="" disabled>Pilih Bulan</option>
                    <option value="Januari">Januari</option>
                    <option value="Februari">Februari</option>
                    <option value="Maret">Maret</option>
                    <option value="April">April</option>
                    <option value="Mei">Mei</option>
                    <option value="Juni">Juni</option>
                    <option value="Juli">Juli</option>
                    <option value="Agustus">Agustus</option>
                    <option value="September">September</option>
                    <option value="Oktober">Oktober</option>
                    <option value="November">November</option>
                    <option value="Desember">Desember</option>
                  </select>
                  <select name="tahun" class="form-control ml-3" name="tahun" formControlName="tahun">
                    <option value="" disabled>Pilih Tahun</option>
                    <option value="{{currentYear - 2}}">{{currentYear - 2}}</option>
                    <option value="{{currentYear - 1}}">{{currentYear - 1}}</option>
                    <option value="{{currentYear}}">{{currentYear}}</option>
                    <option value="{{currentYear + 1}}">{{currentYear + 1}}</option>
                    <option value="{{currentYear + 2}}">{{currentYear + 2}}</option>
                  </select>
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nominal</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalSimpanan.value}}"
                         placeholder="Nominal Simpanan" formControlName="nominalSimpanan">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Jenis Iuran</label>
                <select class="form-control selectpicker" name="jenisIuran" (change)="setKeterangan();" formControlName="jenisIuran">
                  <option value="" disabled>Pilih Status</option>
                  <option value="Setoran">Setoran</option>
                  <option value="Penarikan">Penarikan</option>
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Media Iuran</label>
                <select class="form-control selectpicker" name="mediaIuran" (change)="setKeterangan();" formControlName="kodeMediaIuran">
                  <option value="" disabled>Pilih Media Iuran</option>
                  <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                  <!--<option value="TUNAI">Kas Tunai</option>-->
                  <!--<option value="MANDIRI">Bank Mandiri</option>-->
                  <!--<option value="BCA">Bank BCA</option>-->
                  <!--<option value="BRI">Bank BRI</option>-->
                </select>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Keterangan</label>
                <textarea rows="2" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan"></textarea>
              </div>
            </div>
          </div>
        </form>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" (click)="editModal.hide()">Batal</button>
          <button type="button" class="btn btn-success" (click)="editModal.hide(); updateSimpanan()">
            <i class="fa fa-save"></i> SUBMIT</button>
        </div>
      </div>
    </div>
  </div>
</div>
